# UI\Draw\Text\Layout::setColor

(PHP 7, UI 0.9.9)

UI\Draw\Text\Layout::setColor — Set Color

### Description

public UI\Draw\Text\Layout::setColor ( UI\Draw\Color `$color` [, int `$start` = 0 [, int `$end` ]] )
public UI\Draw\Text\Layout::setColor ( int `$color` [, int `$start` = 0 [, int `$end` ]] )

Shall set the Color for all of, or a range of the text in the Layout

### Parameters

`color`

  The color to use

`start`

  The starting character

`end`

  The ending character, by default the end of the string